Retail Express API 2.1

Gets specific Product Barcode by unique Product Barcode id and Product id

Gets specific Product Barcode by unique Product Barcode id and Product id

get
https://api.retailexpress.com.au/v2/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Barcode

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

get/products/{id}/barcodes/{barcode_id}
 
application/json

Updates Product Barcode by Product id and Product Barcode id.

Sample request:

PUT /products/2/barcodes/1
 {
    "barcode": "BARCODENAME1", 
    "enabled": true
 }
put
https://api.retailexpress.com.au/v2/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was updated

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

put/products/{id}/barcodes/{barcode_id}

Body

{}
 
application/json

Deletes specific Product Barcode by id

Deletes specific Product Barcode by id

delete
https://api.retailexpress.com.au/v2/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product Barcode was deleted

delete/products/{id}/barcodes/{barcode_id}
 

producttypes

Searches Product Types by parameters

Searches Product Types by parameters

get
https://api.retailexpress.com.au/v2/producttypes

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Types data

ProductType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producttypes
 
application/json